//
//  ViewController.m
//  测试UIPageViewController
//
//  Created by apple on 16/7/20.
//  Copyright © 2016年 cz.cn. All rights reserved.
//

#import "ViewController.h"
#import "MyViewController.h"
@interface ViewController ()<UIPageViewControllerDataSource>

@property (nonatomic, assign) int num;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.num = 1;
    
    //1.创建pageViewController
    //TransitionStyle:转场样式
    //Orientation  滚动方向
    UIPageViewController *pageViewController = [[UIPageViewController alloc]initWithTransitionStyle:UIPageViewControllerTransitionStylePageCurl navigationOrientation:UIPageViewControllerNavigationOrientationHorizontal options:@{UIPageViewControllerOptionSpineLocationKey:@(2)}];
    
    pageViewController.view.backgroundColor = [UIColor redColor];
    
    //2.创建内容控制器
    MyViewController *vc = [[MyViewController alloc]init];
    vc.view.backgroundColor = [UIColor yellowColor];
    
    UIViewController *normalVc = [[UIViewController alloc]init];
    normalVc.view.backgroundColor = [UIColor whiteColor];
  
    //3.设置 pageViewController的内容控制器
    
    [pageViewController setViewControllers:@[vc,normalVc] direction:UIPageViewControllerNavigationDirectionReverse animated:YES completion:nil];
        
      //4.设置 数据源
    pageViewController.dataSource = self;
    
    //5.添加子控制器
    
    [self addChildViewController:pageViewController];
    
    //6.添加子视图
    
    [self.view addSubview:pageViewController.view];
    
    //7.完成控制器的添加
    
    [pageViewController didMoveToParentViewController:self];
}




- (nullable UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerBeforeViewController:(ViewController *)viewController
{
    
    if ([viewController  isKindOfClass:[MyViewController class]]) {
        
        UIViewController *vc = [[UIViewController alloc]init];
        
        vc.view.backgroundColor = [UIColor  whiteColor];
        
        return vc;
        
        
    }else{
        
        MyViewController *vc = [[MyViewController alloc]init];
        
        vc.view.backgroundColor = [UIColor  colorWithRed:arc4random_uniform(255)/256.0 green:arc4random_uniform(255)/256.0 blue:arc4random_uniform(255)/256.0 alpha:1.0];
        
        return vc;
        
    }
    
    
}
- (nullable UIViewController *)pageViewController:(UIPageViewController *)pageViewController viewControllerAfterViewController:(UIViewController *)viewController
{
    
    if ([viewController  isKindOfClass:[MyViewController class]]) {
        
        UIViewController *vc = [[UIViewController alloc]init];
        
        vc.view.backgroundColor = [UIColor  whiteColor];
        return vc;
        
        
    }else{
        
        MyViewController *vc = [[MyViewController alloc]init];
        
        vc.view.backgroundColor = [UIColor  colorWithRed:arc4random_uniform(255)/256.0 green:arc4random_uniform(255)/256.0 blue:arc4random_uniform(255)/256.0 alpha:1.0];
        
        return vc;
        
    }
    
}


@end
